
const getIndex = function (arr, obj) { return arr.indexOf(obj); }

const add = function (arr, obj, fungetindex, callback, setcallback) {
    arr = arr || [];
    fungetindex = fungetindex || getIndex;
    let index = fungetindex.call(this, arr, obj);
    if (index === -1) {
        arr.push(obj);
        if (callback) callback.call(this, arr, obj);
    } else {
        if (setcallback) setcallback.call(this, arr, obj, index);
    }
    return arr;
}
const remove = function (arr, obj, fungetindex, callback, setcallback) {
    if (arr) {
        fungetindex = fungetindex || getIndex
        let index = fungetindex.call(this, arr, obj);
        if (index > -1) {
            arr.splice(index, 1);
            if (callback) callback.call(this, arr, obj);
        } else {
            if (setcallback) setcallback.call(this, arr, obj);
        }
    }
    return arr;
}

module.exports = { add, remove }