const typeClass = require('./typeClass');

const Storage = {
    "$empty$": () => { return '00000000-0000-0000-0000-000000000000'; },
    "$default$": () => { return false; }
}

class bool extends typeClass {
    constructor(name) {
        super(name);

    }


    get ConvertHandler() {
        return function (value) { return value; }
    }
    get Empty() {
        return () => { return '00000000-0000-0000-0000-000000000000'; }
    }
    get IsEmpty() {
        return function (value) {
            return value === '00000000-0000-0000-0000-000000000000';
        }
    }
    get Is() {
        return (value) => {
            if (typeof value === 'string') {
                if (this.IsStorage.call(this, value.toLowerCase())) return true;
                return this.test(value);
            }
            return false;

        }
    }
    get DefaultValue() {
        return () => { return false; }
    }
    get IsDefaultValue() {
        return (value) => {
            return value === false;
        }
    }
    get StringRegx() {
        return /[?a-zA-Z0-9]{8}-[?a-zA-Z0-9]{4}-[?a-zA-Z0-9]{4}-[?a-zA-Z0-9]{4}-[?a-zA-Z0-9]{12}$/;
    }
    get Storage() {
        return (key) => {
            return Storage[key]();
        }
    }

    get IsStorage() {
        return (key) => {
            return Storage[key] !== undefined;
        }
    }

    get FormatHandler() {
        return (value, NullToEmpty) => {
            if (this.test(value)) return value;
            return NullToEmpty ? this.Empty.call(this) : undefined;
        }
    }
    get CountHandler() {

        return {

        }
    }
    get CompareHanlder() {
        return {

        }
    }
}
module.exports = bool;