let types = require('../../lib/types');
const ts = [types.Date, types.Datetime, types.DateTime];

const data1 = ["$Empty$", "$default$", "2012-01-01", "2012/01/01", "2012-01-01 23:59:59", "2012/01/01 23:59:59",
    new Date('2012/01/01 23:59:59'),
    new Date('2012/01/01 23:59:59').getTime(), 999, "$now$"]
for (let d of data1) {
    let result = [];
    for (let t of ts) {
        if (t.Is(d)) result.push('，' + t.Name);
    }
    if (result.length > 0) console.log(types.String.Count('+', d, '属于', result));
    else console.log(types.String.Count('+', d, '什么都不是'))
}
for (let d of data1) {
    console.log(d + "格式化")
    for (let t of ts) {
        console.log(t.Name + ":" + t.Format(d))
    }
}

for (let d of ['2010-3-01']) {
    console.log(d + ":", ts[0].Count("+", d, 1, 'y'));
    console.log(d + ":", ts[0].Count("+", d, 1, 'M'));
    console.log(d + ":", ts[0].Count("+", d, 1, 'd'));
    console.log(d + ":", ts[0].Count("+", d, 1, 'h'));
    console.log(d + ":", ts[0].Count("+", d, 1, 'm'));
    console.log(d + ":", ts[0].Count("+", d, 1, 's'));
};

for (let d of ['2010-3-01']) {
    console.log(d + ":", ts[0].Count("-", d, '2010-02-03'));
    console.log(d + ":", ts[0].Count("-", d, '2010-03-03'));
    console.log(d + ":", ts[0].Count("-", d, '2010-03-01 00:01:00'));
    console.log(d + ":", ts[0].Count("-", d, '2010-02-28 12:23:12'));
    console.log(d + ":", ts[0].Count("-", d, '2010-02-27 13:22:11'));
    console.log(d + ":", ts[0].Count("-", d, '2010-02-03 14:22:12'));
};
for (let d of ['2010-3-01']) {
    console.log(d + ":", ts[0].Count("-", d));
    console.log(d + ":", ts[0].Count("-", d));
    console.log(d + ":", ts[0].Count("-", d));
    console.log(d + ":", ts[0].Count("-", d));
    console.log(d + ":", ts[0].Count("-", d));
    console.log(d + ":", ts[0].Count("-", d));
};