const invoke = function (arg, foo) {
    if (arg) {
        if (Array.isArray(arg)) {
            for (let a in arg) {
                exec(a, foo);
            }
        }
        else if (typeof arg === 'function') {
            exec(arg(), foo);
        }
        else if (typeof arg === 'object') {
            foo(arg);
        }
    }
}
const exec = function (config, method) {
    const that = this;
    let foo = function (fun, args) {
        return new Promise((r, j) => {
            let res = fun.apply(this, args);
            if (res && typeof res.then === 'function') {
                res.then(d => { r(d); }).catch(e => { j(e) });
            } else {
                r(res);
            }
        })
    }
    if (config) {
        return function () {
            return new Promise((r, j) => {
                if (config[method]) {
                    foo.call(that, config[method], arguments).then(res => {
                        //r(res);
                        let endfun = 'On' + method + 'ed';
                        if (config[endfun] && typeof config[endfun] === 'function') {
                            foo.call(that, config[endfun], [res, ...arguments]).then(d => { r(d) }).catch(e => { j(e); })
                        } else {
                            r(res);
                        }
                    }).catch(e => {
                        let errfun = 'On' + method + 'Error';
                        if (config[errfun] && typeof config[errfun] === 'function') {
                            foo.call(that, config[errfun], [e, ...arguments]).then(d => { j(d) }).catch(e2 => { j(e2); })
                        }
                        else j(e)
                    })
                } else {
                    j("方法" + method + "并不存在")
                }
            })
        }
    } else {
        return function () {
            return Promise.reject("无效的执行方法");
        }
    }

}

module.exports = { exec, invoke };