const typeClass = require('./typeClass');
const Storage = {
    "$empty$": () => { return false; },
    "$default$": () => { return false; }
}

class bool extends typeClass {
    constructor(name) {
        super(name);

    }


    get ConvertHandler() {
        return function (value) {
            let v = value.toLowerCase();
            if (v === '0' || v === 'false') return false;
            else if (v === '1' || v === 'true') return true;
        }
    }
    get Empty() {
        return () => { return false; }
    }
    get IsEmpty() {
        return function (value) {
            return value === false;
        }
    }
    get Is() {
        return (value) => {
            if (typeof value === 'string') {
                if (this.IsStorage.call(this, value.toLowerCase())) return true;
            }
            return typeof value === 'boolean';
        }
    }
    get DefaultValue() {
        return () => { return false; }
    }
    get IsDefaultValue() {
        return (value) => {
            return value === false;
        }
    }
    get StringRegx() {
        return;
    }
    get Storage() {
        return (key) => {
            return Storage[key]();
        }
    }

    get IsStorage() {
        return (key) => {
            return Storage[key] !== undefined;
        }
    }

    get FormatHandler() {
        return (value, NullToEmpty) => {
            if (typeof value === 'string') {
                return this.ConvertFromString(value, NullToEmpty);
            } else if (typeof value === 'boolean') return value;
            else if (typeof value === 'number') {
                if (value === 1) return true;
                else if (value === 0) return false;
            }
            return NullToEmpty ? this.Empty.call(this) : undefined;
        }
    }
    get CountHandler() {

        return {

        }
    }
    get CompareHanlder() {
        return {

        }
    }
    get Fields() {
        return  ;
    }
}
module.exports = bool;