
class typeClass {
    constructor(name, config) {
        this.name = name || 'undefine';
    }
    get Name() {
        return this.name;
    }
    get Empty() {
        return function () {
            throw this.name + ' no Empty function';
        }
    }
    get IsEmpty() {
        return function (value) {
            throw this.name + ' no IsEmpty function';
        }
    }
    get DefaultValue() {
        return function () {
            throw this.name + ' no DefaultValue function';
        }
    }
    get IsDefaultValue() {
        return function (value) {
            throw this.name + ' no IsDefaultValue function';
        }
    }
    get StringRegx() {
        return;
    }

    get Is() {
        return function (value) {
            throw this.name + ' no DefaultValue function';
        }
    }
    get Storage() {
        return function (key) {
            throw this.name + ' no Storage function';
        }
    }

    get IsStorage() {
        return function (key) {
            throw this.name + ' no IsStorage function';
        }
    }
    get CountHandler() {
        // return function () {
        throw this.name + ' no Count object';
        // }
    }
    get CompareHandler() {
        // return function () {
        throw this.name + ' no Compare object';
        // }
    }
    get ConvertHandler() {
        return function (value) {
            throw this.name + ' no Convert function';
        }
    }
    get FormatHandler() {
        return function (value, NullToEmpty) {
            throw this.name + ' no FormatHandler function';
        }
    }
    test(value) {
        let key = this.StringRegx;
        if (key) {
            if (Array.isArray(key)) {
                for (let k of key) {
                    if (k.test(value)) return true;
                }
                return false;
            }
            else return key.test(value);
        }
        return true;
    }
    Count() {
        if (arguments.length >= 2) {
            let l = arguments[0];
            let foo = this.CountHandler[l]
            if (l) {
                let s = [];
                for (let i = 1; i < arguments.length; i++) {
                    if (Array.isArray(arguments[i])) { for (let b of arguments[i]) s.push(b); } else { s.push(arguments[i]); }
                }
                return foo.apply(this, s);
            } else {
                throw this.name + "不支持" + l + "运算"
            }

        }
        return undefined;
    }
    ConvertFromString(value, NullToEmpty) {
        let foo = (v) => {
            return v === undefined && NullToEmpty ? this.Empty.call(this) : v
        }
        if (value === '' || value === undefined || value === null) return foo();
        if (typeof value !== 'string') {
            if (this.Is.call(this, value)) return value;
            return foo();
        }
        let key = value.toLowerCase();
        if (key === 'default') return this.DefaultValue.call();
        if (key === 'empty') return this.Empty.call();
        if (this.IsStorage.call(this, key)) { return this.Storage.call(this, key); }
        let v = this.ConvertHandler.call(this, value);
        if (!this.test(v)) return foo();
        return v;
    }
    Format(value, NullToEmpty) {
        let v = this.FormatHandler(value, NullToEmpty);
        return v === undefined && NullToEmpty ? this.Empty.call(this) : v;
    }
    Equel(a, b) {
        return a === b;
    }
    GetValue(data, name) {
        return this.Format(data[name]);
    }
    SetValue(data, name, value) {
        data[name] = this.Format(value);
    }
}
module.exports = typeClass;