let _set = require('../lib/set');
let data = {};
let setObject = new _set.setClass({
    '$data$': {
        set: function (Name, Value) {
            console.log(Name, Value);
            if (Name) data[Name] = Value;
            else data['default'] = Value;
        }
    }
}, {
    Merge: true
});

const set = setObject.set.bind(setObject);
let v = {}
set('v.b', 1, v);
set('a', 1, v);
console.log(JSON.stringify(v));

set('a', undefined, v);
set('v.c', undefined, v);
set('a', [1, 2, 3, 4, 5, 6, 7, 8], v);
console.log(JSON.stringify(v));
set('a.k.c.d.e', 1, v);
console.log(JSON.stringify(v));
set('a.k', [1, 2, 3], v);
set('a.k', { b: 123 }, v);
console.log(JSON.stringify(v));
set('$data$.n', { b: 123 });
set('$data$.n', { c: 123 });
set('$data$.n', { b: [123] });
set('$data$', { b: [2,3] });
console.log(JSON.stringify(data));